<?php
require_once('xconn.php');
 
session_start();

if ($conn ->connect_error) {
	die("Connection failed: " . $conn ->connect_error);
}
 
    $dNombre = htmlspecialchars($_POST['txt_nombre'],ENT_QUOTES);
    $dApPat = htmlspecialchars($_POST['txt_appat'],ENT_QUOTES);
    $dApMat = htmlspecialchars($_POST['txt_apmat'],ENT_QUOTES);
    $dUsuario = htmlspecialchars($_POST['txt_usuario'],ENT_QUOTES);
    $dPassword = password_hash($_POST['txt_password'], PASSWORD_BCRYPT);
    $cTipoUser = htmlspecialchars($_POST['cbo_tipousuario'],ENT_QUOTES);
    $cUsuario = '0';
    $bStatus = '1';
    $bAdmin = '1';
    $cCliente = '0';


$sql = "INSERT INTO `t_usuarios`(`c_usuario`, `d_usuario`, `d_password`, `b_status`, `b_admin`, `d_nombre`, `d_appat`, `d_apmat`, `c_cliente`,`c_tipo`) VALUES ('" . $cUsuario . "','" . $dUsuario . "','" . $dPassword . "','" . $bStatus . "','" . $bAdmin . "','" . $dNombre . "','" . $dApPat . "','" . $dApMat . "','" . $cCliente .  "','" . $cTipoUser . "')";

if ($conn->query($sql) === TRUE) {
  header("Location: users.php");
} else {
  echo "Error: " . $sql . "<br>" . $conn->error;
}

$conn->close();

?>